## Add a PermissionPolicy to a user group

### cURL

```bash
curl --request POST \
  --url https://api.m3ter.com/organizations/{orgId}/permissionpolicies/{permissionPolicyId}/addtousergroup \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "principalId": "<string>",
  "version": 123
}
'```

```python
import requests

url = "https://api.m3ter.com/organizations/{orgId}/permissionpolicies/{permissionPolicyId}/addtousergroup"

payload = {
    "principalId": "<string>",
    "version": 123
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)```

```javascript
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({principalId: '<string>', version: 123})
};

fetch('https://api.m3ter.com/organizations/{orgId}/permissionpolicies/{permissionPolicyId}/addtousergroup', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));```

```php


```

### Response

#### Success Responses

- **200**:
  ```json
  {
    "id": "<string>",
    "version": 123,
    "permissionPolicyId": "<string>",
    "principalId": "<string>",
    "dtCreated": "2023-11-07T05:31:56Z",
    "dtLastModified": "2023-11-07T05:31:56Z",
    "createdBy": "<string>",
    "lastModifiedBy": "<string>"
  }
  ```

- **4XX**:
  ```json
  {
    "message": "<string>"
  }
  ```

- **5XX**:
  ```json
  {
    "message": "<string>"
  }
  ```

### Body Structure

- **principalId**: string (required) - Minimum string length: `1`
- **version**: integer<int64> - Version number details provided in the documentation.

### Path Parameters

- **orgId**: string (required) - UUID of the organization
- **permissionPolicyId**: string (required) - UUID of the permission policy

### Authorization

- **Authorization**: string (header, required) - m3ter supports machine to machine authentication using the `clientCredentials` OAuth2 flow.
